trigger:
- master
pool:
  vmImage: ubuntu-18.04
steps:

- task: Gradle@2
  inputs:
    gradleWrapperFile: 'gradlew'
    tasks: 'build'
    publishJUnitResults: true
    testResultsFiles: '**/TEST-*.xml'
    javaHomeOption: 'JDKVersion'
    sonarQubeRunAnalysis: false



- task: ms-devlabs.custom-terraform-tasks.custom-terraform-installer-task.TerraformInstaller@0
  displayName: ‘Install Terraform 0.13.4’
  inputs:
    terraformVersion: 0.13.4
- task: CmdLine@2
  displayName: 'Terraform Init'
  inputs:
    script: 'terraform init'
    workingDirectory: '$(System.DefaultWorkingDirectory)/devops/infraestruture/vm'
- task: CmdLine@2
  displayName: 'Terraform Plan'
  inputs:
    script: 'terraform plan'
    workingDirectory: '$(System.DefaultWorkingDirectory)/devops/infraestruture/vm'
- task: CmdLine@2
  displayName: 'Terraform Apply'
  inputs:
    script: 'terraform apply -auto-approve'
    workingDirectory: '$(System.DefaultWorkingDirectory)/devops/infraestruture/vm'

# displayName: 'Provide Java Playbook'

- task: CmdLine@2
  displayName: 'Provide Java Playbook'
  inputs:
    script: |
      ansible-galaxy install geerlingguy.java
      ansible-playbook java-playbook.yml
    workingDirectory: '$(System.DefaultWorkingDirectory)/devops/infraestruture/ansible'



- task: CopyFilesOverSSH@0
  inputs:
    sshEndpoint: 'deploy-vm-server'
    sourceFolder: '$(System.DefaultWorkingDirectory)/build/libs'
    contents: '*.jar'
    targetFolder: '/home/testadmin/application-backend'
    readyTimeout: '20000'



- task: SSH@0
  inputs:
    sshEndpoint: 'deploy-vm-server'
    runOptions: 'commands'
    commands: 'java -jar /home/testadmin/application-backend/*.jar'
    readyTimeout: '20000'
    